Name: 		xara-extreme
Version: 	0.7
Release: 	%mkrel 1
Summary: 	Graphic Image Editor
Group:   	Graphics
License: 	GPL
URL:     	http://www.xaraxtreme.org/
Source:  	%{name}-%{version}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
Xara Xtreme for Linux is a powerful, general purpose graphics program
for Unix platforms including Linux, FreeBSD and OS-X. 


%prep

%setup -q

%install
rm -rf %{buildroot}

export DONT_STRIP=1

mkdir -p %{buildroot}/usr/bin
install -m 0755 %{name} %{buildroot}/%{_bindir}

mkdir -p %buildroot/%_miconsdir \
	 %buildroot/%_liconsdir \
	 %buildroot/%_iconsdir
	
install -m 0644 %{name}-16.png %buildroot/%{_miconsdir}/%{name}.png
install -m 0644 %{name}-32.png %buildroot/%{_iconsdir}/%{name}.png
install -m 0644 %{name}-48.png %buildroot/%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}/%{_datadir}/applications
install -m 0644 %{name}.desktop %{buildroot}/%{_datadir}/applications

%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon Jul 19 2010 Texstar <texstar at gmail.com> xara-extreme-0.7-1pclos2010
- import portable app to pclos since it doesn't build properly


